APN Editor: clicking 'Cancel' or '<' on Custom Internet or MMS APN creates empty ofono Internet context

Bug #1433278 reported by Tony Espy on 2015-03-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
Undecided
Unassigned
ubuntu-system-settings (Ubuntu)
High
Jonas G. Drange
ubuntu-system-settings (Ubuntu RTM)
Undecided
Unassigned

Bug Description

On the APN Editor page, clicking "Custom Internet APN" or "Custom MMS APN" ( or the associated menu item if this is the first time ) and then clicking "Cancel" or "<" will create an empty ofono gprs context of type "Internet":

[context3]
Name=___ubuntu_custom_apn_internet
AccessPointName=
Username=
Password=
Type=internet
Protocol=ip

This only happens the first time.

Reported against:

current build number: 136
device name: mako
channel: ubuntu-touch/devel-proposed
alias: ubuntu-touch/vivid-proposed
last update: 2015-03-16 18:54:46
version version: 136
version ubuntu: 20150316
version device: 20150210
version custom: 20150316

Still needs to be tested on RTM.

Related branches

Tony Espy (awe) on 2015-03-17
summary: - APN Editor: clicking 'Cancel' or '<' after using Custom Internet or APN
- MMS creates ofono context
+ APN Editor: clicking 'Cancel' or '<' after using Custom Internet or MMS
+ APN creates empty ofono Internet context
summary: - APN Editor: clicking 'Cancel' or '<' after using Custom Internet or MMS
- APN creates empty ofono Internet context
+ APN Editor: clicking 'Cancel' or '<' on Custom Internet or MMS APN
+ creates empty ofono Internet context
Tony Espy (awe) on 2015-03-25
Changed in ubuntu-system-settings (Ubuntu):
importance: Undecided → High
tags: added: apn connectivity
Changed in ubuntu-system-settings (Ubuntu):
status: New → In Progress
assignee: nobody → Jonas G. Drange (jonas-drange)
Bill Filler (bfiller) on 2015-03-27
Changed in canonical-devices-system-image:
milestone: none → ww13-2015
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+15.04.20150330~rtm-0ubuntu1

---------------
ubuntu-system-settings (0.3+15.04.20150330~rtm-0ubuntu1) 14.09; urgency=medium

  [ jonas-drange ]
  * [cellular/apn] make apn entry enabled always (LP: #1388046)
  * [cellular/apn] no creation of custom contexts on editor exit (LP:
    #1433278)
  * [cellular] apn page does not overwrite empty, provisioned contexts
    (LP: #1415495)
 -- CI Train Bot <email address hidden> Mon, 30 Mar 2015 13:26:48 +0000

Changed in ubuntu-system-settings (Ubuntu RTM):
status: New → Fix Released
Changed in canonical-devices-system-image:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+15.04.20150401-0ubuntu1

---------------
ubuntu-system-settings (0.3+15.04.20150401-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ jonas-drange ]
  * [cellular/apn] make apn entry enabled always (LP: #1388046)
  * [cellular/apn] no creation of custom contexts on editor exit (LP:
    #1433278)
 -- CI Train Bot <email address hidden> Wed, 01 Apr 2015 14:09:52 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers